<template>
	<view>

		<view class="echo-article-details">
			<text>{{pagecon}}</text>
		</view>
	</view>
</template>

<script>
	var _this;
	export default {
		data() {
			return {
				field: "aboutus",
				pagetil: "关于我们",
				pagecon: ""
			}
		},
		onLoad: function(option) {
			_this = this;
			_this.field = option.field ? option.field : "aboutus";
			_this.$req.ajax({
				path: "sinpage/getsinpage",
				data: {
					field: _this.field
				}
			}).then((data) => {
				_this.pagetil = data.pagetil;
				_this.pagecon = data.pagecon;
				uni.setNavigationBarTitle({
				    title: data.pagetil
				});
			}).catch((err) => {
				uni.showModal({
					title: '信息提示',
					content: err,
					showCancel: false
				});
			});
		},
		onShareAppMessage: function(res) {
		    return {
				title: _this.pagetil,
				path: "/pages/tool/sinpage?field="+_this.field
		    }
		}
	}
</script>

<style lang="scss">
</style>
